cbuffer cb : register( b0 )
{
	float4x4 tWVP : WORLDVIEWPROJECTION;
};


struct VS_IN
{
	float4 PosO : POSITION;
	float4 TexCd : TEXCOORD0;

};

struct vs2ps
{
    float4 PosWVP: SV_POSITION;
    float4 TexCd: TEXCOORD0;
};

vs2ps VS(VS_IN input)
{
    vs2ps Out = (vs2ps)0;
    Out.PosWVP  = mul(input.PosO,tWVP);
    Out.TexCd = input.TexCd;
    return Out;
}

float2 PS(vs2ps In): SV_Target
{
    return In.TexCd.xy;
}

technique10 Constant
{
	pass P0
	{
		SetVertexShader( CompileShader( vs_4_0, VS() ) );
		SetPixelShader( CompileShader( ps_4_0, PS() ) );
	}
}




